<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:ivi="http://livingxml.net/2002/ivi"
 xmlns:xlink="http://www.w3.org/1999/xlink">
  <xsl:output method="html" encoding="utf-8"/>
  <xsl:param name="_style"/>
  <xsl:param name="_xql"/>
  <xsl:param name="_query"/>
  <xsl:param name="_date"/>
  <xsl:param name="_timestamp"/>
  <xsl:param name="_path"/>
  <xsl:param name="mode"/>

<xsl:template match="/">
 <html>
  <head>
   <title>IVI:Admin</title>

<style type="text/css">
/*a { text-decoration:none; color="black" } /* standard link */
a:hover { text-decoration:none; color="blue" } /* standard link */
a.white { text-decoration:none; color="white" } /* standard link */
a:hover.white { text-decoration:none; color="yellow"} /* link hover */
a.popup { font-size:10px; font-family:verdana,arial,helvetica; color:"blue"; } /* link in popup-menus */
td.small { font-size:10px; font-family:verdana,arial,helvetica; color:black; } /* standard small font */
td.small2 { font-size:10px; font-family:verdana,arial,helvetica; color:white; } /* standard small font */
td,pre { font-size:10pt; font-family:arial,helvetica; color:black; font-weight:normal; } /* standard font */
h1 { font-size:12pt; font-family:arial,helvetica; color:"#9898af"; font-weight:bold; } /* 1st heading */
h2 { font-size:10pt; font-family:arial,helvetica; color:white; font-weight:normal; line-height:14pt;} /* 2nd heading */
h3 { font-size:12pt; font-family:arial,helvetica; font-weight:normal; line-height:14pt;} /* 2nd heading */
h4 { font-size:12pt; font-family:arial,helvetica; font-weight:normal; line-height:14pt;} /* */
</style>
  </head>

<body bgcolor="#f0f0f0" link="#434352" vlink="#434352" alink="#434352" topmargin="5" marginheight="0">


<xsl:choose>
<xsl:when test="$mode='edit'">
<h1>Datensatz bearbeiten</h1>
<form method="post">
<input type="hidden" name="_style" value="{$_style}"/>
<input type="hidden" name="_path" value="{$_path}"/>
<input type="hidden" name="_id" value="{*/@id}"/>
<textarea rows="15" cols="50" name="_process">
<xsl:copy-of select="ivi:response/ivi:result/ivi:data/*"/>
</textarea>
<input type="submit"/>
</form>

</xsl:when>
<xsl:when test="$mode='newxml'">
<h1>Neuer Datensatz</h1>
<form method="post">
<input type="hidden" name="_style" value="{$_style}"/>
<input type="hidden" name="_path" value="{$_path}"/>
ID: <input type="text" name="_id" value=""/><br/>
<textarea rows="15" cols="50" name="_process">
</textarea><br/>
<input type="submit"/>
</form>

</xsl:when>
<xsl:when test="$mode='newtable'">
<h1>Neue Tabelle</h1>
<form method="post">
<input type="hidden" name="_style" value="{$_style}"/>
<input type="hidden" name="_path" value="{$_path}"/>
<table>
<tr><td>Tabellenname:</td><td><input type="text" name="_define" value=""/></td></tr>
<tr><td>ID Counter</td><td><input type="checkbox" name="counter" checked="checked"/></td></tr>
<tr><td>Art</td><td><select type="xmlart"><option>XML Dokumente</option><option>XML Fragmente</option></select></td></tr>
<tr><td></td><td><input type="submit"/></td></tr>
</table>
</form>

</xsl:when>
<xsl:otherwise>


   <xsl:apply-templates select="/*/*"/> 

</xsl:otherwise>
</xsl:choose>


Spezialfunktionen: <a href="iviindex?_path={$_path}">Diese Tabelle und alle Subtabllen reindizieren</a>


  </body>
 </html>
</xsl:template>

<xsl:template match="ivi:result">
<p>Datenbankergebnis:</p>

<a href="?_style={$_style}&amp;_path={@parent}"><img src="/image/db/up.gif" width="16" height="16" border="0"/></a>
Aktuelle Position: <xsl:value-of select="$_path"/>/<xsl:value-of select="$_xql"/>
<xsl:if test="@xql"><form method="post">Abfrage: <input type="text" name="_xql" value="{@xql}"/><input type="hidden" name="_path" value="{$_path}"/><input type="hidden" name="_style" value="{$_style}"/><input type="submit" value="Suchen!"/></form></xsl:if>
Aktionen:

<table border="1" cellspacing="0" cellpadding="3">
<xsl:for-each select="*">
<tr>
<td><a href="?_xql={@path}"><img src="/image/db/iconxml.gif" width="16" height="16" border="0"/></a></td>
<xsl:for-each select="*/*">
<td><xsl:apply-templates select="."/></td>
</xsl:for-each>
</tr>
</xsl:for-each>
</table>

</xsl:template>

<xsl:template match="ivi:listing">
<p>Datenbankzugriff:</p>

<a href="?_style={$_style}&amp;_path={@parent}"><img src="/image/db/up.gif" width="16" height="16" border="0"/></a>
Aktuelle Tabelle: <xsl:value-of select="@path"/> 
Aktionen: <a href="?_style={$_style}&amp;_path={$_path}&amp;mode=newxml"><img src="/image/db/filenew.gif" width="16" height="16" border="0"/></a>
<a href="?_style={$_style}&amp;_path={$_path}&amp;mode=newtable"><img src="/image/db/tablenew.gif" width="16" height="16" border="0"/></a>

<table border="1" cellspacing="0" cellpadding="3">
<tr><td>Name</td><td>Aktionen</td><td>Beschreibung</td></tr>
<xsl:for-each select="*">
<tr>
 <td><a href="?_style={$_style}&amp;_path={@xlink:href}"><img src="/image/db/icon{name(.)}.gif" width="16" height="16" border="0"/>&#160;<xsl:value-of select="."/></a></td>
 <td><xsl:choose>
<xsl:when test="name(.)='table'">
  <a href="?_style={$_style}&amp;_path={@xlink:href}&amp;mode=newxml"><img src="/image/db/filenew.gif" width="16" height="16" border="0"/></a>, 
  <form style="display:inline" method="get">
   <input type="hidden" name="_style" value="{$_style}"/>
   <input type="hidden" name="_path" value="{@xlink:href}"/>
   <img src="/image/db/filefind.gif" width="16" height="16" border="0"/>: <input type="text" name="_xql"/></form>,
    <a href="?_style=file://ivicreateindex.xsl&amp;_path={$_path}&amp;_table={.}&amp;_xql={.}/*&amp;_max=1"><img src="/image/db/indexnew.gif" width="16" height="16" border="0" alt="Index anlegen"/></a>, 
 <a href="?_style=file://ivicreatestyledir.xsl&amp;_path={$_path}&amp;_table={.}&amp;_xql={.}/*&amp;_max=1"><img src="/image/db/styledirnew.gif" width="16" height="16" border="0" alt="Styledir anlegen"/></a>,
    <a href="?_style={$_style}&amp;_path={$_path}&amp;_drop={.}"><img src="/image/db/tabledelete.gif" width="16" height="16" border="0"/></a> (nur mglich, wenn leer)
</xsl:when>
<xsl:when test="name(.)='index'"><a href="?_style={$_style}&amp;_path={@xlink:href}&amp;_max=5">Abfragen</a>, <a href="iviindex?_path={@xlink:href}">Reindizieren</a></xsl:when>
<xsl:when test="name(.)='styledir'"><a href="?_style={$_style}&amp;_path={@xlink:href}&amp;_max=5">Abfragen</a>, <a href="iviindex?_path={@xlink:href}">Reindizieren</a></xsl:when>
<xsl:when test="name(.)='xml'"><a href="?_style={$_style}&amp;_path={@xlink:href}&amp;mode=edit"><img src="/image/db/edit.gif" width="16" height="16" border="0"/></a>, <a href="?_style={$_style}&amp;_path={@xlink:href}&amp;mode=clone"><img src="/image/db/xmlclone.gif" width="16" height="16" border="0"/></a>, <a href="?_style={$_style}&amp;_path={$_path}&amp;_drop={.}"><img src="/image/db/editdelete.gif" width="16" height="16" border="0"/></a></xsl:when>
 </xsl:choose></td>
 <td><xsl:value-of select="name(.)"/></td></tr>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="ivi:available">
Verfgbare Befehle:

<table border="1" cellspacing="0" cellpadding="3">
<tr><td>Name</td><td>Beschreibung</td></tr>
<xsl:for-each select="*">
<tr><td><a href="?_style={$_style}&amp;{name}"><xsl:value-of select="name"/></a> (<a href="?{name}">xml</a>)</td><td><xsl:value-of select="description"/></td></tr>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="ivi:object">
Neues Objekt angelegt: ID=<xsl:value-of select="@id"/>
<p><a href="?_style={$_style}&amp;_path={$_path}">Weiter</a></p>
</xsl:template>

<xsl:template match="ivi:message">
<h1><xsl:value-of select="."/></h1>
<p><a href="?_style={$_style}&amp;_path={$_path}">Weiter</a></p>
</xsl:template>

<xsl:template match="ivi:error">
<h1><img src="/image/db/file_important.gif" width="16" height="16" border="0"/><font color="#FF0000"><xsl:value-of select="."/></font><img src="/image/db/file_important.gif" width="16" height="16" border="0"/></h1>
<p><a href="?_style={$_style}&amp;_path={@_path}">Weiter</a></p>
</xsl:template>

<xsl:template match="ivi:index">
<form><input type="hidden" name="_path" value="{$_path}"/>
      <input type="hidden" name="_index" value="1"/>
      <input type="hidden" name="_style" value="{$_style}"/>
Suchen: 
<xsl:for-each select="root/index[1]/source/parameter">
<xsl:value-of select="@name"/>:<input type="text" name="{@name}"/>&#160;
</xsl:for-each>
<input type="submit" value="Suchen!"/>
</form>
</xsl:template>


<xsl:template match="@*|node()">
<ul>

<xsl:if test="name()!=''">
<li><span style="color:#FF0000"><xsl:value-of select="name()"/> </span>
 <xsl:if test="text()!=''">
 - <xsl:value-of select="text()"/>
 </xsl:if>
       <xsl:apply-templates select="@*|node()"/>
 </li>
</xsl:if>
</ul>
</xsl:template>



</xsl:stylesheet>
